# Uses of Interface
org.eclipse.emf.compare.rcp.internal.extension.IItemRegistry

Packages that use IItemRegistry
Package
Description
org.eclipse.emf.compare.rcp
org.eclipse.emf.compare.rcp.internal.extension.impl
org.eclipse.emf.compare.rcp.internal.match
org.eclipse.emf.compare.rcp.internal.postprocessor
org.eclipse.emf.compare.rcp.ui
org.eclipse.emf.compare.rcp.ui.internal.configuration.ui
org.eclipse.emf.compare.rcp.ui.internal.preferences.impl
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

## Uses of IItemRegistry in org.eclipse.emf.compare.rcp

Methods in org.eclipse.emf.compare.rcp that return IItemRegistry
Modifier and Type
Method
Description
`IItemRegistry<IConflictDetector>`
EMFCompareRCPPlugin.`getConflictDetectorDescriptorRegistry()`
Returns the registry of Conflict detector.
`IItemRegistry<IDiffEngine>`
EMFCompareRCPPlugin.`getDiffEngineDescriptorRegistry()`
Returns the registry of Differences engines.
`IItemRegistry<IEquiEngine>`
EMFCompareRCPPlugin.`getEquiEngineDescriptorRegistry()`
Returns the registry of Equivalences engines.
`IItemRegistry<IMatchEngine.Factory>`
EMFCompareRCPPlugin.`getMatchEngineFactoryDescriptorRegistry()`
Returns the match engine factory registry to which extension will be registered.
`IItemRegistry<IPostProcessor.Descriptor>`
EMFCompareRCPPlugin.`getPostProcessorDescriptorRegistry()`
Get the `IItemRegistry` of `IPostProcessor.Descriptor`.
`IItemRegistry<IReqEngine>`
EMFCompareRCPPlugin.`getReqEngineDescriptorRegistry()`
Returns the registry of Requirements engines.

## Uses of IItemRegistry in org.eclipse.emf.compare.rcp.internal.extension.impl

Classes in org.eclipse.emf.compare.rcp.internal.extension.impl that implement IItemRegistry
Modifier and Type
Class
Description
`class`
`ItemRegistry<T>`
Registry holding `IItemDescriptor`.
Methods in org.eclipse.emf.compare.rcp.internal.extension.impl with parameters of type IItemRegistry
Modifier and Type
Method
Description
`static <T> Set<IItemDescriptor<T>>`
ItemUtil.`getActiveItems(IItemRegistry<T> registry, String qualifier, String disabledItemPreferenceKey)`
Get all active item from a registry.
`static <T> IItemDescriptor<T>`
ItemUtil.`getDefaultItemDescriptor(IItemRegistry<T> registry, String preferenceKey)`
Get an item descriptor using the preferences.
`static <T> T`
ItemUtil.`getItem(IItemRegistry<T> registry, String preferenceKey)`
Get an item using the preferences.
`static <T> List<IItemDescriptor<T>>`
ItemUtil.`getItemsDescriptor(IItemRegistry<T> registry, String qualifier, String preferenceKey)`
Get a list of `IItemDescriptor` from preferences.
Constructors in org.eclipse.emf.compare.rcp.internal.extension.impl with parameters of type IItemRegistry
Modifier
Constructor
Description
``
`DescriptorRegistryEventListener(String namespace, String extensionPointID, org.eclipse.core.runtime.ILog log, IItemRegistry<T> registry)`
Constructor.

## Uses of IItemRegistry in org.eclipse.emf.compare.rcp.internal.match

Constructors in org.eclipse.emf.compare.rcp.internal.match with parameters of type IItemRegistry
Modifier
Constructor
Description
``
`MatchEngineFactoryRegistryListener(String pluginID, String extensionPointID, org.eclipse.core.runtime.ILog log, IItemRegistry<IMatchEngine.Factory> registry)`
Creates a new registry listener with the given match engine factory registry to which extension will be registered.
``
`MatchEngineFactoryRegistryWrapper(IItemRegistry<IMatchEngine.Factory> registry)`
Constructor.

## Uses of IItemRegistry in org.eclipse.emf.compare.rcp.internal.postprocessor

Constructors in org.eclipse.emf.compare.rcp.internal.postprocessor with parameters of type IItemRegistry
Modifier
Constructor
Description
``
`PostProcessorFactoryRegistryListener(String pluginID, String extensionPointID, org.eclipse.core.runtime.ILog log, IItemRegistry<IPostProcessor.Descriptor> registry)`
Creates a new registry listener with the given post processor registry to which extension will be registered.
``
`PostProcessorRegistryImpl(IItemRegistry<IPostProcessor.Descriptor> baseRegisty)`
Constructor.

## Uses of IItemRegistry in org.eclipse.emf.compare.rcp.ui

Methods in org.eclipse.emf.compare.rcp.ui that return IItemRegistry
Modifier and Type
Method
Description
`IItemRegistry<IDifferenceGroupProvider.Descriptor>`
EMFCompareRCPUIPlugin.`getItemDifferenceGroupProviderRegistry()`

## Uses of IItemRegistry in org.eclipse.emf.compare.rcp.ui.internal.configuration.ui

Constructors in org.eclipse.emf.compare.rcp.ui.internal.configuration.ui with parameters of type IItemRegistry
Modifier
Constructor
Description
``
`ConfigurationUIRegistryEventListener(String namespace, String extensionPointID, org.eclipse.core.runtime.ILog log, Map<String,IConfigurationUIFactory> registry, IItemRegistry<?> registryOfConfiguredItem)`
Constructor.

## Uses of IItemRegistry in org.eclipse.emf.compare.rcp.ui.internal.preferences.impl

Constructors in org.eclipse.emf.compare.rcp.ui.internal.preferences.impl with parameters of type IItemRegistry
Modifier
Constructor
Description
``
`InteractiveUIBuilder(org.eclipse.swt.widgets.Composite parent, IItemRegistry<T> registry)`
Constructor.

## Uses of IItemRegistry in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

Constructors in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl with parameters of type IItemRegistry
Modifier
Constructor
Description
``
`DifferenceGroupManager(IItemRegistry<IDifferenceGroupProvider.Descriptor> registry, org.eclipse.jface.preference.IPreferenceStore preferenceStore)`
Constructor.
``
`DifferenceGroupProviderExtensionRegistryListener(String pluginID, String extensionPointID, org.eclipse.core.runtime.ILog log, IItemRegistry<IDifferenceGroupProvider.Descriptor> registry)`
Default constructor.
``
`DifferenceGroupRegistryImpl(DifferenceGroupManager groupManager, IItemRegistry<IDifferenceGroupProvider.Descriptor> registry)`
Constructs the registry.